- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QTouchEvent::TouchPoint Class Reference

Search for all occurrences

## Detailed Description

Definition at line 735 of file qevent.h.

`#include <qevent.h>`

List of all members.

## Public Member Functions
| TouchPoint (int id=-1)
| TouchPoint (const QTouchEvent::TouchPoint &other)
| ~TouchPoint ()
int | id () const
Qt::TouchPointState | state () const
bool | isPrimary () const
QPointF | pos () const
QPointF | startPos () const
QPointF | lastPos () const
QPointF | scenePos () const
QPointF | startScenePos () const
QPointF | lastScenePos () const
QPointF | screenPos () const
QPointF | startScreenPos () const
QPointF | lastScreenPos () const
QPointF | normalizedPos () const
QPointF | startNormalizedPos () const
QPointF | lastNormalizedPos () const
QRectF | rect () const
QRectF | sceneRect () const
QRectF | screenRect () const
qreal | pressure () const
void | setId (int id)
void | setState (Qt::TouchPointStates state)
void | setPos (const QPointF &pos)
void | setScenePos (const QPointF &scenePos)
void | setScreenPos (const QPointF &screenPos)
void | setNormalizedPos (const QPointF &normalizedPos)
void | setStartPos (const QPointF &startPos)
void | setStartScenePos (const QPointF &startScenePos)
void | setStartScreenPos (const QPointF &startScreenPos)
void | setStartNormalizedPos (const QPointF &startNormalizedPos)
void | setLastPos (const QPointF &lastPos)
void | setLastScenePos (const QPointF &lastScenePos)
void | setLastScreenPos (const QPointF &lastScreenPos)
void | setLastNormalizedPos (const QPointF &lastNormalizedPos)
void | setRect (const QRectF &rect)
void | setSceneRect (const QRectF &sceneRect)
void | setScreenRect (const QRectF &screenRect)
void | setPressure (qreal pressure)
QTouchEvent::TouchPoint & | operator= (const QTouchEvent::TouchPoint &other)
## Friends
class | QApplication
class | QApplicationPrivate

## Constructor & Destructor Documentation

TouchPoint | ( | int | id = `-1` | ) |

TouchPoint | ( | const QTouchEvent::TouchPoint & | other | ) |

~TouchPoint | ( |  | ) |

## Member Function Documentation

int id | ( |  | ) | const

Search for all occurrences

Qt::TouchPointState state | ( |  | ) | const

Search for all occurrences

bool isPrimary | ( |  | ) | const

Search for all occurrences

QPointF pos | ( |  | ) | const

Search for all occurrences

QPointF startPos | ( |  | ) | const

Search for all occurrences

QPointF lastPos | ( |  | ) | const

Search for all occurrences

QPointF scenePos | ( |  | ) | const

Search for all occurrences

QPointF startScenePos | ( |  | ) | const

Search for all occurrences

QPointF lastScenePos | ( |  | ) | const

Search for all occurrences

QPointF screenPos | ( |  | ) | const

Search for all occurrences

QPointF startScreenPos | ( |  | ) | const

Search for all occurrences

QPointF lastScreenPos | ( |  | ) | const

Search for all occurrences

QPointF normalizedPos | ( |  | ) | const

Search for all occurrences

QPointF startNormalizedPos | ( |  | ) | const

Search for all occurrences

QPointF lastNormalizedPos | ( |  | ) | const

Search for all occurrences

QRectF rect | ( |  | ) | const

Search for all occurrences

QRectF sceneRect | ( |  | ) | const

Search for all occurrences

QRectF screenRect | ( |  | ) | const

Search for all occurrences

qreal pressure | ( |  | ) | const

Search for all occurrences

void setId | ( | int | id | ) |

Search for all occurrences

void setState | ( | Qt::TouchPointStates | state | ) |

Search for all occurrences

void setPos | ( | const QPointF & | pos | ) |

Search for all occurrences

void setScenePos | ( | const QPointF & | scenePos | ) |

Search for all occurrences

void setScreenPos | ( | const QPointF & | screenPos | ) |

Search for all occurrences

void setNormalizedPos | ( | const QPointF & | normalizedPos | ) |

Search for all occurrences

void setStartPos | ( | const QPointF & | startPos | ) |

Search for all occurrences

void setStartScenePos | ( | const QPointF & | startScenePos | ) |

Search for all occurrences

void setStartScreenPos | ( | const QPointF & | startScreenPos | ) |

Search for all occurrences

void setStartNormalizedPos | ( | const QPointF & | startNormalizedPos | ) |

Search for all occurrences

void setLastPos | ( | const QPointF & | lastPos | ) |

Search for all occurrences

void setLastScenePos | ( | const QPointF & | lastScenePos | ) |

Search for all occurrences

void setLastScreenPos | ( | const QPointF & | lastScreenPos | ) |

Search for all occurrences

void setLastNormalizedPos | ( | const QPointF & | lastNormalizedPos | ) |

Search for all occurrences

void setRect | ( | const QRectF & | rect | ) |

Search for all occurrences

void setSceneRect | ( | const QRectF & | sceneRect | ) |

Search for all occurrences

void setScreenRect | ( | const QRectF & | screenRect | ) |

Search for all occurrences

void setPressure | ( | qreal | pressure | ) |

Search for all occurrences

QTouchEvent::TouchPoint& operator= | ( | const QTouchEvent::TouchPoint & | other | ) |

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Definition at line 792 of file qevent.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Definition at line 793 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint
QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint QTouchEvent::TouchPoint